FindFamilies {sequoia} | R Documentation

## Assign family IDs

### Description

Add a column with family IDs (FIDs) to a pedigree, with each number denoting a cluster of connected individuals.

### Usage

    FindFamilies(Ped = NULL, SeqList = NULL, UseMaybeRel = FALSE)

### Arguments

`Ped` | dataframe with columns id - parent1 - parent2; only the first 3 columns will be used.
`SeqList` | list as returned by `sequoia`. If 'Ped' is not provided, the element 'Pedigree' from this list will be used if present, and element 'Pedigreepar' otherwise.
`UseMaybeRel` | use `SeqList$MaybeRel`, the dataframe with probable but non-assigned relatives, to assign additional family IDs?

### Details

This function repeatedly finds all ancestors and all descendants of each individual in turn, and ensures they all have the same Family ID. Not all connected individuals are related, e.g. all grandparents of an individual will have the same FID, but will typically be unrelated.

When UseMaybeRel = TRUE, probable relatives are added to existing family clusters, or existing family clusters may be linked together. Currently no additional family clusters are created.

### Value

A dataframe with the provided pedigree, with a column 'FID' added.

[Package sequoia version 1.3.3 Index]